# linotp-client

The linotp c client library

## license

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

## prerequisites

the linotp client library is using cmake. so you require
to install the cmake in your environment, on debian based
systems by

```(shell)
sudo apt-get install cmake
```

## build

in the project root directory run the command:

```(shell)
cmake .
```

this will create the required Makefile, so that in the next
the build of the libraries can be triggered by

```(shell)
cd liblinotp-client
make
```

this will create the liblinotp-client libraries

```(log)
liblinotp-client.so -> liblinotp-client.so.3
liblinotp-client.so.3 -> liblinotp-client.so.3.1
liblinotp-client.so.3.1
liblinotp-client.a
```

which can be linked in your project.

## test client

```(shell)
linotp-testclient <URL> <USER> <PASSWORD>
```

This is a simple client available for very basic testing.
